Update Discovery Schedule
curl --request PUT \
--url https://api.mindfort.app/v1/discovery/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"time": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.mindfort.app/v1/discovery/schedule"
payload = {
"enabled": True,
"time": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, time: '<string>', timezone: '<string>'})
};
fetch('https://api.mindfort.app/v1/discovery/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/discovery/schedule"
payload := strings.NewReader("{\n \"enabled\": true,\n \"time\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_type": "daily",
"scheduled_time": "<string>",
"day_of_week": 123,
"timezone": "<string>",
"is_active": true,
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_errored": true,
"error_message": "<string>"
}
}Discovery
Update Discovery Schedule
PUT
/
v1
/
discovery
/
schedule
Update Discovery Schedule
curl --request PUT \
--url https://api.mindfort.app/v1/discovery/schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"time": "<string>",
"timezone": "<string>"
}
'import requests
url = "https://api.mindfort.app/v1/discovery/schedule"
payload = {
"enabled": True,
"time": "<string>",
"timezone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, time: '<string>', timezone: '<string>'})
};
fetch('https://api.mindfort.app/v1/discovery/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.mindfort.app/v1/discovery/schedule"
payload := strings.NewReader("{\n \"enabled\": true,\n \"time\": \"<string>\",\n \"timezone\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schedule_type": "daily",
"scheduled_time": "<string>",
"day_of_week": 123,
"timezone": "<string>",
"is_active": true,
"next_run_at": "2023-11-07T05:31:56Z",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_errored": true,
"error_message": "<string>"
}
}Authorizations
API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.
Body
application/json
Response
200 - application/json
Updated Discovery schedule
Show child attributes
Show child attributes
Was this page helpful?